﻿Public Class Form1

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load

    End Sub

    Private Sub btn_CreatePDF_Click(sender As Object, e As EventArgs) Handles btn_CreatePDF.Click
        pdf.DrawString("Grapecity - ComponentOne", New Font("Arial", 10), Brushes.DarkBlue, New PointF(10, 10))

        pdf.DrawImage(Image.FromFile("..\..\C1Logo.png"), New RectangleF(250, 30, 120, 120))

        Dim font As New Font("Arial", 50)
        Dim rect As RectangleF = pdf.PageRectangle
        rect.Inflate(0, -170)

        pdf.DrawStringRtf("{\b\i\qc Annual Sales of Each Employee \par}", font, Brushes.Brown, rect)

        Dim rect1 As New RectangleF(100, 370, 400, 500)
        Dim font1 As Font = New System.Drawing.Font("Times New Roman", 18)
        pdf.DrawStringRtf("{\qc The Chart shown below defines the Annual Sales done by the employees in the year of 2014 - 2015. \par}", font1, Brushes.Blue, rect1)


        '"Create Chart"
        pdf.DrawString("Employee Sales Chart", font1, Brushes.DarkBlue, New PointF(230, 490))

        pdf.DrawRectangle(Pens.Black, 110, 520, 400, 250)

        pdf.FillRectangle(Brushes.SandyBrown, 140, 530, 10, 210)
        pdf.FillRectangle(Brushes.SandyBrown, 140, 730, 320, 10)

        pdf.RotateAngle = 90
        pdf.DrawString("-- Sales --", New System.Drawing.Font("Arial", 12), Brushes.Black, New PointF(125, 650))
        pdf.RotateAngle = 0

        pdf.DrawString("-- Employees --", New System.Drawing.Font("Arial", 12), Brushes.Black, New PointF(260, 750))

        Dim rects As RectangleF() = {New RectangleF(180, 580, 20, 150), New RectangleF(230, 610, 20, 120), New RectangleF(280, 600, 20, 130), New RectangleF(330, 560, 20, 170), New RectangleF(380, 590, 20, 140)}

        Dim brushes__1 As Brush() = {Brushes.Red, Brushes.Green, Brushes.Chocolate, Brushes.Purple, Brushes.Orange}

        Dim rect_legend As New RectangleF(450, 530, 10, 10)

        Dim names_employee As [String]() = {"- John", "- Jack", "- Jestin", "- Joseph", "- Jose"}
        Dim name_location As New PointF(465, 528)

        For i As Integer = 0 To 4
            pdf.FillRectangle(brushes__1(i), rects(i))
            pdf.FillRectangle(brushes__1(i), rect_legend)
            pdf.DrawString(names_employee(i), New System.Drawing.Font("Arial", 10), brushes__1(i), name_location)

            rect_legend.Y += 20
            name_location.Y += 20
        Next

        Dim point1 As New PointF(130, 540)

        For i As Integer = 0 To 9
            pdf.DrawLine(Pens.Brown, point1.X, point1.Y, point1.X + 15, point1.Y)
            point1.Y += 20
        Next

        point1 = New PointF(160, 735)

        For i As Integer = 0 To 14
            pdf.DrawLine(Pens.Brown, point1.X, point1.Y, point1.X, point1.Y + 15)
            point1.X += 20
        Next
        '"End Chart"


        '"Adding Securities in the PDF Document"
        pdf.Security.OwnerPassword = "owner"
        pdf.Security.UserPassword = "user"
        pdf.Security.AllowEditAnnotations = False
        pdf.Security.AllowEditContent = False
        pdf.Security.AllowPrint = False


        pdf.Save("..\..\NewPDFDoc.pdf")

        System.Diagnostics.Process.Start("..\..\NewPDFDoc.pdf")

        Me.Close()
    End Sub
End Class
